Update Eval
Updates the eval definition identified by its ID.
Authentication
AuthorizationBearer
Authenticate server-side requests with a private Vapi API key. Create or copy a key from the [Vapi Dashboard](https://dashboard.vapi.ai) and send it in the `Authorization` header as `Bearer <token>`. Keep private API keys out of client-side code and public repositories.
Path parameters
id
Request
This endpoint expects an object.
messages
This is the mock conversation that will be used to evaluate the flow of the conversation.
Mock Messages are used to simulate the flow of the conversation
Evaluation Messages are used as checkpoints in the flow where the model's response to previous conversation needs to be evaluated to check the content and tool calls
name
This is the name of the eval.
It helps identify what the eval is checking for.
description
This is the description of the eval.
This helps describe the eval and its purpose in detail. It will not be used to evaluate the flow of the conversation.
type
This is the type of the eval.
Currently it is fixed to chat.mockConversation.
Response
messages
This is the mock conversation that will be used to evaluate the flow of the conversation.
Mock Messages are used to simulate the flow of the conversation
Evaluation Messages are used as checkpoints in the flow where the model's response to previous conversation needs to be evaluated to check the content and tool calls
id
The unique identifier for the eval.
orgId
The unique identifier for the organization that owns the eval.
createdAt
The ISO 8601 timestamp when the eval was created.
updatedAt
The ISO 8601 timestamp when the eval was last updated.
type
This is the type of the eval.
Currently it is fixed to chat.mockConversation.
name
This is the name of the eval.
It helps identify what the eval is checking for.
description
This is the description of the eval.
This helps describe the eval and its purpose in detail. It will not be used to evaluate the flow of the conversation.